> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custody Wallets For Grant

> Returns address and name of custody wallets associated with the given grant.

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-custody-wallets-for-grant
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-custody-wallets-for-grant:
    get:
      operationId: getCustodyWalletsForGrant
      summary: Get Custody Wallets For Grant
      x-toku-required-scope: wallets:read
      description: >-
        Returns address and name of custody wallets associated with the given
        grant.


        Required scope: `wallets:read`
      parameters:
        - name: grantID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCustodyWalletsForGrantResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetCustodyWalletsForGrantResponse:
      type: array
      items:
        type: object
        properties:
          walletAddress:
            type: string
          walletName:
            type: string
        required:
          - walletAddress
          - walletName
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
